- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::IteratesVector Class Reference

Specialized CompoundVector class specifically for the algorithm iterates. More...

`#include <IpIteratesVector.hpp>`

Inheritance diagram for Ipopt::IteratesVector:

[legend]
Collaboration diagram for Ipopt::IteratesVector:

[legend]
List of all members.

## Public Member Functions
| IteratesVector (const IteratesVectorSpace *owner_space, bool create_new)
| Constructors / Destructors.
virtual | ~IteratesVector ()
| Constructors / Destructors.
SmartPtr< IteratesVector > | MakeNewIteratesVector (bool create_new=true) const
| Use this method to create a new iterates vector.
SmartPtr< IteratesVector > | MakeNewIteratesVectorCopy () const
| Use this method to create a new iterates vector with a copy of all the data.
SmartPtr< IteratesVector > | MakeNewContainer () const
| Use this method to create a new iterates vector container.
SmartPtr< const Vector > | x () const
| Get the x iterate (const).
SmartPtr< Vector > | x_NonConst ()
| Get the x iterate (non-const) - this can only be called if the vector was created intenally, or the Set_x_NonConst method was used.
SmartPtr< Vector > | create_new_x ()
| Create a new vector in the x entry.
SmartPtr< Vector > | create_new_x_copy ()
| Create a new vector in the x entry and copy the current values into it.
void | Set_x (const Vector &vec)
| Set the x iterate (const).
void | Set_x_NonConst (Vector &vec)
| Set the x iterate (non-const).
SmartPtr< const Vector > | s () const
| Get the s iterate (const).
SmartPtr< Vector > | s_NonConst ()
| Get the s iterate (non-const) - this can only be called if the vector was created intenally, or the Set_s_NonConst method was used.
SmartPtr< Vector > | create_new_s ()
| Create a new vector in the s entry.
SmartPtr< Vector > | create_new_s_copy ()
| Create a new vector in the s entry and copy the current values into it.
void | Set_s (const Vector &vec)
| Set the s iterate (const).
void | Set_s_NonConst (Vector &vec)
| Set the s iterate (non-const).
SmartPtr< const Vector > | y_c () const
| Get the y_c iterate (const).
SmartPtr< Vector > | y_c_NonConst ()
| Get the y_c iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_c_NonConst method was used.
SmartPtr< Vector > | create_new_y_c ()
| Create a new vector in the y_c entry.
SmartPtr< Vector > | create_new_y_c_copy ()
| Create a new vector in the y_c entry and copy the current values into it.
void | Set_y_c (const Vector &vec)
| Set the y_c iterate (const).
void | Set_y_c_NonConst (Vector &vec)
| Set the y_c iterate (non-const).
SmartPtr< const Vector > | y_d () const
| Get the y_d iterate (const).
SmartPtr< Vector > | y_d_NonConst ()
| Get the y_d iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_d_NonConst method was used.
SmartPtr< Vector > | create_new_y_d ()
| Create a new vector in the y_d entry.
SmartPtr< Vector > | create_new_y_d_copy ()
| Create a new vector in the y_d entry and copy the current values into it.
void | Set_y_d (const Vector &vec)
| Set the y_d iterate (const).
void | Set_y_d_NonConst (Vector &vec)
| Set the y_d iterate (non-const).
SmartPtr< const Vector > | z_L () const
| Get the z_L iterate (const).
SmartPtr< Vector > | z_L_NonConst ()
| Get the z_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_L_NonConst method was used.
SmartPtr< Vector > | create_new_z_L ()
| Create a new vector in the z_L entry.
SmartPtr< Vector > | create_new_z_L_copy ()
| Create a new vector in the z_L entry and copy the current values into it.
void | Set_z_L (const Vector &vec)
| Set the z_L iterate (const).
void | Set_z_L_NonConst (Vector &vec)
| Set the z_L iterate (non-const).
SmartPtr< const Vector > | z_U () const
| Get the z_U iterate (const).
SmartPtr< Vector > | z_U_NonConst ()
| Get the z_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_U_NonConst method was used.
SmartPtr< Vector > | create_new_z_U ()
| Create a new vector in the z_U entry.
SmartPtr< Vector > | create_new_z_U_copy ()
| Create a new vector in the z_U entry and copy the current values into it.
void | Set_z_U (const Vector &vec)
| Set the z_U iterate (const).
void | Set_z_U_NonConst (Vector &vec)
| Set the z_U iterate (non-const).
SmartPtr< const Vector > | v_L () const
| Get the v_L iterate (const).
SmartPtr< Vector > | v_L_NonConst ()
| Get the v_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_L_NonConst method was used.
SmartPtr< Vector > | create_new_v_L ()
| Create a new vector in the v_L entry.
SmartPtr< Vector > | create_new_v_L_copy ()
| Create a new vector in the v_L entry and copy the current values into it.
void | Set_v_L (const Vector &vec)
| Set the v_L iterate (const).
void | Set_v_L_NonConst (Vector &vec)
| Set the v_L iterate (non-const).
SmartPtr< const Vector > | v_U () const
| Get the v_U iterate (const).
SmartPtr< Vector > | v_U_NonConst ()
| Get the v_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_U_NonConst method was used.
SmartPtr< Vector > | create_new_v_U ()
| Create a new vector in the v_U entry.
SmartPtr< Vector > | create_new_v_U_copy ()
| Create a new vector in the v_U entry and copy the current values into it.
void | Set_v_U (const Vector &vec)
| Set the v_U iterate (const).
void | Set_v_U_NonConst (Vector &vec)
| Set the v_U iterate (non-const).
void | Set_primal (const Vector &x, const Vector &s)
| Set the primal variables all in one shot.
void | Set_primal_NonConst (Vector &x, Vector &s)
| Get the x iterate (const).
void | Set_eq_mult (const Vector &y_c, const Vector &y_d)
| Set the eq multipliers all in one shot.
void | Set_eq_mult_NonConst (Vector &y_c, Vector &y_d)
| Get the x iterate (const).
void | Set_bound_mult (const Vector &z_L, const Vector &z_U, const Vector &v_L, const Vector &v_U)
| Set the bound multipliers all in one shot.
void | Set_bound_mult_NonConst (Vector &z_L, Vector &z_U, Vector &v_L, Vector &v_U)
| Get the x iterate (const).
TaggedObject::Tag | GetTagSum () const
| Get a sum of the tags of the contained items.
## Private Member Functions
SmartPtr< const Vector > | GetIterateFromComp (Index i) const
| private method to return the const element from the compound vector.
SmartPtr< Vector > | GetNonConstIterateFromComp (Index i)
| private method to return the non-const element from the compound vector.
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IteratesVector ()
| Default Constructor.
| IteratesVector (const IteratesVector &)
| Copy Constructor.
void | operator= (const IteratesVector &)
| Overloaded Equals Operator.
## Private Attributes
const IteratesVectorSpace * | owner_space_
| Vector Space.

## Detailed Description

Specialized CompoundVector class specifically for the algorithm iterates.

This class inherits from CompoundVector and is a specialized class for handling the iterates of the Ipopt Algorithm, that is, x, s, y_c, y_d, z_L, z_U, v_L, and v_U. It inherits from CompoundVector so it can behave like a CV in most calculations, but it has fixed dimensions and cannot be customized

Definition at line 27 of file IpIteratesVector.hpp.

## Constructor & Destructor Documentation

Ipopt::IteratesVector::IteratesVector | ( | const IteratesVectorSpace * | owner_space,
|  | bool | create_new |
| ) |  |  |

Constructors / Destructors.

virtual Ipopt::IteratesVector::~IteratesVector | ( |  | ) | `[virtual]`

Constructors / Destructors.

Ipopt::IteratesVector::IteratesVector | ( |  | ) | `[private]`

Default Constructor.

Ipopt::IteratesVector::IteratesVector | ( | const IteratesVector & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewIteratesVector | ( | bool | create_new = `true` | ) | const

Use this method to create a new iterates vector.

The MakeNew method on the Vector class also works, but it does not give the create_new option.

Referenced by MakeNewIteratesVectorCopy().

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewIteratesVectorCopy | ( |  | ) | const`[inline]`

Use this method to create a new iterates vector with a copy of all the data.

Definition at line 48 of file IpIteratesVector.hpp.

References MakeNewIteratesVector().

SmartPtr<IteratesVector> Ipopt::IteratesVector::MakeNewContainer | ( |  | ) | const

Use this method to create a new iterates vector container.

This creates a new NonConst container, but the elements inside the iterates vector may be const. Therefore, the container can be modified to point to new entries, but the existing entries may or may not be modifiable.

SmartPtr<const Vector> Ipopt::IteratesVector::x | ( |  | ) | const`[inline]`

Get the x iterate (const).

Definition at line 67 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_primal(), and Set_primal_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::x_NonConst | ( |  | ) | `[inline]`

Get the x iterate (non-const) - this can only be called if the vector was created intenally, or the Set_x_NonConst method was used.

Definition at line 75 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_x(), and create_new_x_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_x | ( |  | ) | `[inline]`

Create a new vector in the x entry.

Definition at line 632 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_x_NonConst(), and x_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_x_copy | ( |  | ) | `[inline]`

Create a new vector in the x entry and copy the current values into it.

Definition at line 85 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_x_NonConst(), and x_NonConst().

void Ipopt::IteratesVector::Set_x | ( | const Vector & | vec | ) | `[inline]`

Set the x iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 95 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_x_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the x iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 102 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_x(), and create_new_x_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::s | ( |  | ) | const`[inline]`

Get the s iterate (const).

Definition at line 108 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_primal(), and Set_primal_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::s_NonConst | ( |  | ) | `[inline]`

Get the s iterate (non-const) - this can only be called if the vector was created intenally, or the Set_s_NonConst method was used.

Definition at line 116 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_s(), and create_new_s_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_s | ( |  | ) | `[inline]`

Create a new vector in the s entry.

Definition at line 638 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, s_NonConst(), and Set_s_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_s_copy | ( |  | ) | `[inline]`

Create a new vector in the s entry and copy the current values into it.

Definition at line 126 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), s_NonConst(), and Set_s_NonConst().

void Ipopt::IteratesVector::Set_s | ( | const Vector & | vec | ) | `[inline]`

Set the s iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 136 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_s_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the s iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 143 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_s(), and create_new_s_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::y_c | ( |  | ) | const`[inline]`

Get the y_c iterate (const).

Definition at line 149 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_eq_mult(), and Set_eq_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::y_c_NonConst | ( |  | ) | `[inline]`

Get the y_c iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_c_NonConst method was used.

Definition at line 157 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_y_c(), and create_new_y_c_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_y_c | ( |  | ) | `[inline]`

Create a new vector in the y_c entry.

Definition at line 644 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_y_c_NonConst(), and y_c_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_y_c_copy | ( |  | ) | `[inline]`

Create a new vector in the y_c entry and copy the current values into it.

Definition at line 167 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_y_c_NonConst(), and y_c_NonConst().

void Ipopt::IteratesVector::Set_y_c | ( | const Vector & | vec | ) | `[inline]`

Set the y_c iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 177 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_y_c_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the y_c iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 184 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_y_c(), and create_new_y_c_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::y_d | ( |  | ) | const`[inline]`

Get the y_d iterate (const).

Definition at line 190 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_eq_mult(), and Set_eq_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::y_d_NonConst | ( |  | ) | `[inline]`

Get the y_d iterate (non-const) - this can only be called if the vector was created intenally, or the Set_y_d_NonConst method was used.

Definition at line 198 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_y_d(), and create_new_y_d_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_y_d | ( |  | ) | `[inline]`

Create a new vector in the y_d entry.

Definition at line 650 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_y_d_NonConst(), and y_d_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_y_d_copy | ( |  | ) | `[inline]`

Create a new vector in the y_d entry and copy the current values into it.

Definition at line 208 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_y_d_NonConst(), and y_d_NonConst().

void Ipopt::IteratesVector::Set_y_d | ( | const Vector & | vec | ) | `[inline]`

Set the y_d iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 218 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_y_d_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the y_d iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 225 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_y_d(), and create_new_y_d_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::z_L | ( |  | ) | const`[inline]`

Get the z_L iterate (const).

Definition at line 231 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_bound_mult(), and Set_bound_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::z_L_NonConst | ( |  | ) | `[inline]`

Get the z_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_L_NonConst method was used.

Definition at line 239 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_z_L(), and create_new_z_L_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_z_L | ( |  | ) | `[inline]`

Create a new vector in the z_L entry.

Definition at line 656 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_z_L_NonConst(), and z_L_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_z_L_copy | ( |  | ) | `[inline]`

Create a new vector in the z_L entry and copy the current values into it.

Definition at line 249 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_z_L_NonConst(), and z_L_NonConst().

void Ipopt::IteratesVector::Set_z_L | ( | const Vector & | vec | ) | `[inline]`

Set the z_L iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 259 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_z_L_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the z_L iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 266 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_z_L(), and create_new_z_L_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::z_U | ( |  | ) | const`[inline]`

Get the z_U iterate (const).

Definition at line 272 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_bound_mult(), and Set_bound_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::z_U_NonConst | ( |  | ) | `[inline]`

Get the z_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_z_U_NonConst method was used.

Definition at line 280 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_z_U(), and create_new_z_U_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_z_U | ( |  | ) | `[inline]`

Create a new vector in the z_U entry.

Definition at line 662 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_z_U_NonConst(), and z_U_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_z_U_copy | ( |  | ) | `[inline]`

Create a new vector in the z_U entry and copy the current values into it.

Definition at line 290 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_z_U_NonConst(), and z_U_NonConst().

void Ipopt::IteratesVector::Set_z_U | ( | const Vector & | vec | ) | `[inline]`

Set the z_U iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 300 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_z_U_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the z_U iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 307 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_z_U(), and create_new_z_U_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::v_L | ( |  | ) | const`[inline]`

Get the v_L iterate (const).

Definition at line 313 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_bound_mult(), and Set_bound_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::v_L_NonConst | ( |  | ) | `[inline]`

Get the v_L iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_L_NonConst method was used.

Definition at line 321 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_v_L(), and create_new_v_L_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_v_L | ( |  | ) | `[inline]`

Create a new vector in the v_L entry.

Definition at line 668 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_v_L_NonConst(), and v_L_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_v_L_copy | ( |  | ) | `[inline]`

Create a new vector in the v_L entry and copy the current values into it.

Definition at line 331 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_v_L_NonConst(), and v_L_NonConst().

void Ipopt::IteratesVector::Set_v_L | ( | const Vector & | vec | ) | `[inline]`

Set the v_L iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 341 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_v_L_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the v_L iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 348 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_v_L(), and create_new_v_L_copy().

SmartPtr<const Vector> Ipopt::IteratesVector::v_U | ( |  | ) | const`[inline]`

Get the v_U iterate (const).

Definition at line 354 of file IpIteratesVector.hpp.

References GetIterateFromComp().

Referenced by GetTagSum(), Set_bound_mult(), and Set_bound_mult_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::v_U_NonConst | ( |  | ) | `[inline]`

Get the v_U iterate (non-const) - this can only be called if the vector was created intenally, or the Set_v_U_NonConst method was used.

Definition at line 362 of file IpIteratesVector.hpp.

References GetNonConstIterateFromComp().

Referenced by create_new_v_U(), and create_new_v_U_copy().

SmartPtr< Vector > Ipopt::IteratesVector::create_new_v_U | ( |  | ) | `[inline]`

Create a new vector in the v_U entry.

Definition at line 674 of file IpIteratesVector.hpp.

References Ipopt::CompoundVectorSpace::GetCompSpace(), owner_space_, Set_v_U_NonConst(), and v_U_NonConst().

SmartPtr<Vector> Ipopt::IteratesVector::create_new_v_U_copy | ( |  | ) | `[inline]`

Create a new vector in the v_U entry and copy the current values into it.

Definition at line 372 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), Set_v_U_NonConst(), and v_U_NonConst().

void Ipopt::IteratesVector::Set_v_U | ( | const Vector & | vec | ) | `[inline]`

Set the v_U iterate (const).

Sets the pointer, does NOT copy data.

Definition at line 382 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp().

void Ipopt::IteratesVector::Set_v_U_NonConst | ( | Vector & | vec | ) | `[inline]`

Set the v_U iterate (non-const).

Sets the pointer, does NOT copy data.

Definition at line 389 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst().

Referenced by create_new_v_U(), and create_new_v_U_copy().

void Ipopt::IteratesVector::Set_primal | ( | const Vector & | x,
|  | const Vector & | s |
| ) |  |  | `[inline]`

Set the primal variables all in one shot.

Sets the pointers, does NOT copy data

Definition at line 396 of file IpIteratesVector.hpp.

References s(), Ipopt::CompoundVector::SetComp(), and x().

void Ipopt::IteratesVector::Set_primal_NonConst | ( | Vector & | x,
|  | Vector & | s |
| ) |  |  | `[inline]`

Get the x iterate (const).

Definition at line 401 of file IpIteratesVector.hpp.

References s(), Ipopt::CompoundVector::SetCompNonConst(), and x().

void Ipopt::IteratesVector::Set_eq_mult | ( | const Vector & | y_c,
|  | const Vector & | y_d |
| ) |  |  | `[inline]`

Set the eq multipliers all in one shot.

Sets the pointers, does not copy data.

Definition at line 409 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp(), y_c(), and y_d().

void Ipopt::IteratesVector::Set_eq_mult_NonConst | ( | Vector & | y_c,
|  | Vector & | y_d |
| ) |  |  | `[inline]`

Get the x iterate (const).

Definition at line 414 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst(), y_c(), and y_d().

void Ipopt::IteratesVector::Set_bound_mult | ( | const Vector & | z_L,
|  | const Vector & | z_U,
|  | const Vector & | v_L,
|  | const Vector & | v_U |
| ) |  |  | `[inline]`

Set the bound multipliers all in one shot.

Sets the pointers, does not copy data.

Definition at line 422 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetComp(), v_L(), v_U(), z_L(), and z_U().

void Ipopt::IteratesVector::Set_bound_mult_NonConst | ( | Vector & | z_L,
|  | Vector & | z_U,
|  | Vector & | v_L,
|  | Vector & | v_U |
| ) |  |  | `[inline]`

Get the x iterate (const).

Definition at line 429 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::SetCompNonConst(), v_L(), v_U(), z_L(), and z_U().

TaggedObject::Tag Ipopt::IteratesVector::GetTagSum | ( |  | ) | const`[inline]`

Get a sum of the tags of the contained items.

There is no guarantee that this is unique, but there is a high chance it is unique and it can be used for debug checks relatively reliably.

Definition at line 442 of file IpIteratesVector.hpp.

References Ipopt::IsValid(), s(), v_L(), v_U(), x(), y_c(), y_d(), z_L(), and z_U().

void Ipopt::IteratesVector::operator= | ( | const IteratesVector & |  | ) | `[private]`

Overloaded Equals Operator.

SmartPtr<const Vector> Ipopt::IteratesVector::GetIterateFromComp | ( | Index | i | ) | const`[inline, private]`

private method to return the const element from the compound vector.

This method will return NULL if none is currently set.

Definition at line 499 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetComp(), and Ipopt::CompoundVector::IsCompNull().

Referenced by s(), v_L(), v_U(), x(), y_c(), y_d(), z_L(), and z_U().

SmartPtr<Vector> Ipopt::IteratesVector::GetNonConstIterateFromComp | ( | Index | i | ) | `[inline, private]`

private method to return the non-const element from the compound vector.

This method will return NULL if none is currently set.

Definition at line 511 of file IpIteratesVector.hpp.

References Ipopt::CompoundVector::GetCompNonConst(), and Ipopt::CompoundVector::IsCompNull().

Referenced by s_NonConst(), v_L_NonConst(), v_U_NonConst(), x_NonConst(), y_c_NonConst(), y_d_NonConst(), z_L_NonConst(), and z_U_NonConst().

## Member Data Documentation

const IteratesVectorSpace* Ipopt::IteratesVector::owner_space_`[private]`

Vector Space.

Reimplemented from Ipopt::CompoundVector.

Definition at line 493 of file IpIteratesVector.hpp.

Referenced by create_new_s(), create_new_v_L(), create_new_v_U(), create_new_x(), create_new_y_c(), create_new_y_d(), create_new_z_L(), and create_new_z_U().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpIteratesVector.hpp